<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="generator" content="Docutils 0.21.2: https://docutils.sourceforge.io/" />
<title>hg paths</title>
<link rel="stylesheet" href="../style.css" type="text/css" />
</head>
<body>
<div class="document" id="hg-paths">
<span id="hg-paths-1"></span>
<h1 class="title">hg paths</h1>
<h2 class="subtitle" id="show-aliases-for-remote-repositories">show aliases for remote repositories</h2>

<div class="contents htmlonly topic" id="contents">
<p class="topic-title"><a class="reference internal" href="#top">Contents</a></p>
<ul class="simple">
<li><a class="reference internal" href="#synopsis" id="toc-entry-1">Synopsis</a></li>
<li><a class="reference internal" href="#description" id="toc-entry-2">Description</a></li>
<li><a class="reference internal" href="#options" id="toc-entry-3">Options</a></li>
</ul>
</div>
<div class="section" id="synopsis">
<h1><a class="toc-backref" href="#contents">Synopsis</a></h1>
<pre class="literal-block">
hg paths [NAME]
</pre>
</div>
<div class="section" id="description">
<h1><a class="toc-backref" href="#contents">Description</a></h1>
<p>Show definition of symbolic path name NAME. If no name is given,
show definition of all available names.</p>
<p>Option -q/--quiet suppresses all output when searching for NAME
and shows only the path names when listing all definitions.</p>
<p>Path names are defined in the [paths] section of your
configuration file and in <tt class="docutils literal">/etc/mercurial/hgrc</tt>. If run inside a
repository, <tt class="docutils literal">.hg/hgrc</tt> is used, too.</p>
<p>The path names <tt class="docutils literal">default</tt> and <tt class="docutils literal"><span class="pre">default-push</span></tt> have a special
meaning.  When performing a push or pull operation, they are used
as fallbacks if no location is specified on the command-line.
When <tt class="docutils literal"><span class="pre">default-push</span></tt> is set, it will be used for push and
<tt class="docutils literal">default</tt> will be used for pull; otherwise <tt class="docutils literal">default</tt> is used
as the fallback for both.  When cloning a repository, the clone
source is written as <tt class="docutils literal">default</tt> in <tt class="docutils literal">.hg/hgrc</tt>.</p>
<div class="admonition note">
<p class="first admonition-title">Note</p>
<p class="last"><tt class="docutils literal">default</tt> and <tt class="docutils literal"><span class="pre">default-push</span></tt> apply to all inbound (e.g.
<a class="reference external" href="hg-incoming.html"><tt class="docutils literal">hg incoming</tt></a>) and outbound (e.g. <a class="reference external" href="hg-outgoing.html"><tt class="docutils literal">hg outgoing</tt></a>, <a class="reference external" href="hg-email.html"><tt class="docutils literal">hg email</tt></a>
and <a class="reference external" href="hg-bundle.html"><tt class="docutils literal">hg bundle</tt></a>) operations.</p>
</div>
<p>See <a class="reference external" href="topic-urls.html"><tt class="docutils literal">hg help urls</tt></a> for more information.</p>
<div class="verbose docutils container">
<p>Template:</p>
<p>The following keywords are supported. See also <a class="reference external" href="hg.1.html#templates"><tt class="docutils literal">hg help templates</tt></a>.</p>
<table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field"><th class="field-name">name:</th><td class="field-body">String. Symbolic name of the path alias.</td>
</tr>
<tr class="field"><th class="field-name">pushurl:</th><td class="field-body">String. URL for push operations.</td>
</tr>
<tr class="field"><th class="field-name">url:</th><td class="field-body">String. URL or directory path for the other operations.</td>
</tr>
</tbody>
</table>
</div>
<p>Returns 0 on success.</p>
</div>
<div class="section" id="options">
<h1><a class="toc-backref" href="#contents">Options</a></h1>
<table class="docutils option-list" frame="void" rules="none">
<col class="option" />
<col class="description" />
<tbody valign="top">
<tr><td class="option-group" colspan="2">
<kbd><span class="option">-T</span>, <span class="option">--template <var>&lt;TEMPLATE&gt;</var></span></kbd></td>
</tr>
<tr><td>&nbsp;</td><td>display with template</td></tr>
</tbody>
</table>
</div>
</div>
</body>
</html>
